Package org.eclipse.gef.mvc.fx.ui.parts

# Interface IDirtyStateProvider

All Known Implementing Classes:
  `HistoryBasedDirtyStateProvider`

public interface IDirtyStateProvider
A delegate support that can be used by `ISaveablePart`s to maintain their dirty state based on an `IOperationHistory`.

## Property Summary

Properties
Type
Property
Description
`javafx.beans.property.ReadOnlyBooleanProperty`
`dirty`
A read-only property that provides the current dirty state.

## Method Summary

Modifier and Type
Method
Description
`javafx.beans.property.ReadOnlyBooleanProperty`
`dirtyProperty()`
A read-only property that provides the current dirty state.
`boolean`
`isDirty()`
Returns the dirty state of this support.
`void`
`markNonDirty()`
Notifies the provider to mark the current state as being unchanged with respect to the saved state.

## Property Details

### dirty

javafx.beans.property.ReadOnlyBooleanProperty dirtyProperty
A read-only property that provides the current dirty state.

See Also:
  - `isDirty()`

## Method Details

### dirtyProperty

javafx.beans.property.ReadOnlyBooleanProperty dirtyProperty()
A read-only property that provides the current dirty state.

See Also:
  - `isDirty()`

### isDirty

boolean isDirty()
Returns the dirty state of this support.

Returns:
  `true` if the source is dirty, `false` otherwise.

### markNonDirty

void markNonDirty()
Notifies the provider to mark the current state as being unchanged with respect to the saved state.